Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154217 - RFE: system-config-network does not allow multiple WEP keys to be entered
Summary: RFE: system-config-network does not allow multiple WEP keys to be entered
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 15:11 UTC by ben creitz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-13 11:44:11 UTC


Attachments (Terms of Use)
A patch to wirelessconfig.glade that adds 'key index' to the GUI. (deleted)
2005-04-11 13:58 UTC, ben creitz
no flags Details | Diff

Description ben creitz 2005-04-08 15:11:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
The system-config-network GUI has no way for the user to set multiple WEP keys and which key should be used by default.  I suppose that this utility ultimately uses calls the ifup-wireless script, which now has that capability.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1. open system-config-network
2. make a new wireless connection
3. notice that there is no way to set multiple WEP keys
  

Actual Results:  ...

Expected Results:  ...there should be widgets for multiple WEP keys.

Additional info:

Comment 1 ben creitz 2005-04-11 13:58:52 UTC
Created attachment 112944 [details]
A patch to wirelessconfig.glade that adds 'key index' to the GUI.

This makes the GUI similar to the config screens on other OSs, allowing one key
with the opportunity to indicate which key it is.  The patch is just for the
GUI, so the functionality still doesn't exist.

An alternative GUI might have 4 key entry fields with a radio button next to
each to indicate which one should be used.

Comment 2 Matthew Miller 2006-07-10 21:30:09 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.